Identity and Access Management API, REST: OAuthClient.Get
Returns the sepcified OAuthClient resource.
To get the list of available OAuthClient resources, make a List request.
HTTP request
GET https://iam.api.yandexcloud.kz/iam/v1/oauthClients/{oauthClientId}
Path parameters
|
Field |
Description |
|
oauthClientId |
string Required field. ID of the OAuthClient resource to return. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"name": "string",
"redirectUris": [
"string"
],
"scopes": [
"string"
],
"folderId": "string",
"authenticationMethods": [
"string"
],
"status": "string",
"profileId": "string",
"pkceRequired": "boolean"
}
An OauthClient resource.
|
Field |
Description |
|
id |
string ID of the oauth client. |
|
name |
string Name for the oauth client. |
|
redirectUris[] |
string List of redirect uries allowed for the oauth client. |
|
scopes[] |
string List of oauth scopes requested by the oauth client. |
|
folderId |
string ID of the folder oauth client belongs to. |
|
authenticationMethods[] |
string List of authentication methods allowed for the oauth client. |
|
status |
enum (Status) Current status of the oauth client.
|
|
profileId |
string ID of the profile that defines the set of allowed settings for the oauth client. |
|
pkceRequired |
boolean Whether PKCE (Proof Key for Code Exchange) is required for the oauth client during the authorization code flow. |